Bug 1565547 - [RFE] make satellite-clone non-interactive [NEEDINFO]
Summary: [RFE] make satellite-clone non-interactive
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Satellite Clone
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: John Mitsch
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 09:34 UTC by Nikhil Kathole
Modified: 2020-03-05 17:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-05 17:23:13 UTC
Target Upstream Version:
nkathole: needinfo? (mmccune)


Attachments (Terms of Use)

Description Nikhil Kathole 2018-04-10 09:34:49 UTC
Description of problem: Currently satellite-clone has no option to make it fully non-interacting. It always asks user

 # satellite-clone
This will initiate satellite-clone. Do you want to proceed? (y/n):

As a tester, it is difficult to fully automate unless there is no option to byepass this interaction. 

It is good if we have option such as -y

-y, --assumeyes               Automatically answer yes for all questions

Version-Release number of selected component (if applicable):

# rpm -q satellite-clone
satellite-clone-1.2.2-1.el7sat.noarch


How reproducible:always


Steps to Reproduce:
1. # satellite-clone -h
usage: satellite-clone [-h] [--start-at-task START_AT_TASK] [--step]
                       [--list-tasks] [--flush-cache]

optional arguments:
  -h, --help            show this help message and exit
  --start-at-task START_AT_TASK
                        Start at a specific task
  --step                interactive: confirm each task before running
  --list-tasks          list tasks that will be run in the playbook
  --flush-cache         clear the fact cache and run playbook

Expected results: 

# satellite-clone -y

should answer/proceed without asking "This will initiate satellite-clone. Do you want to proceed?"

Additional info:

Comment 2 Ales Dujicek 2018-09-05 06:17:43 UTC
I believe this was addressed by https://github.com/RedHatSatellite/satellite-clone/pull/335

Can we switch it to ON_QA?

Comment 3 John Mitsch 2018-09-05 13:36:01 UTC
yes, feel free to push through the QA workflow

Comment 7 Bryan Kearney 2020-03-05 17:23:13 UTC
The current version of foreman_maintain includes this fix.

Comment 8 Bryan Kearney 2020-03-05 17:26:44 UTC
The current version of foreman_maintain includes this fix.


Note You need to log in before you can comment on or make changes to this bug.